| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
C:/pdl_v10/library/driver/interrupts.c File Reference
`#include "interrupts.h"`
Include dependency graph for interrupts.c:

Go to the source code of this file.

## Functions
void | NMI_Handler (void)
void | SWDT_IRQHandler (void)
void | ADC0_IRQHandler (void)
void | ADC1_IRQHandler (void)
void | ADC2_LCD_IRQHandler (void)
void | BT0_7_FLASH_IRQHandler (void)
| BT ch. 0 IRQ handler.
void | TIM_IRQHandler (void)
void | CSV_IRQHandler (void)
void | DT_QPRC_Handler (void)
void | LVD_IRQHandler (void)
| LVD IRQ handler.
void | INT0_7_Handler (void)
| EXINT ch.0 ~ ch.7 IRQ handler.
void | INT8_31_Handler (void)
| EXINT ch.8 ~ ch.31 IRQ handler.
void | MFT_FRT_IRQHandler (void)
| MFT0's FRT peak match IRQ handler.
void | MFT_OPC_IRQHandler (void)
| MFT0's OCU IRQ handler.
void | MFT_WFG_IRQHandler (void)
| MFT0's WFG IRQ handler.
void | MFT_IPC_IRQHandler (void)
| MFT0's ICU IRQ handler.
void | PPG_IRQHandler (void)
| PPG ch.0,2,4,8,10,12,16,18,20 IRQ handler.
void | MFS0_8_RX_IRQHandler (void)
| MFS ch.0/8 RX IRQ handler.
void | MFS0_8_TX_IRQHandler (void)
| MFS ch.0/8 TX IRQ handler.
void | MFS1_9_RX_IRQHandler (void)
| MFS ch.1/9 RX IRQ handler.
void | MFS1_9_TX_IRQHandler (void)
| MFS ch.1/9 TX IRQ handler.
void | MFS2_10_RX_IRQHandler (void)
| MFS ch.2/10 RX IRQ handler.
void | MFS2_10_TX_IRQHandler (void)
| MFS ch.2/10 TX IRQ handler.
void | MFS3_11_RX_IRQHandler (void)
| MFS ch.3/11 RX IRQ handler.
void | MFS3_11_TX_IRQHandler (void)
| MFS ch.3/11 TX IRQ handler.
void | MFS4_12_RX_IRQHandler (void)
| MFS ch.4/12 RX IRQ handler.
void | MFS4_12_TX_IRQHandler (void)
| MFS ch.4/12 TX IRQ handler.
void | MFS5_13_RX_IRQHandler (void)
| MFS ch.5/13 RX IRQ handler.
void | MFS5_13_TX_IRQHandler (void)
| MFS ch.5/13 TX IRQ handler.
void | MFS6_14_RX_DMA0_IRQHandler (void)
| MFS ch.6/14 RX, DMA ch. 0 IRQ handler.
void | MFS6_14_TX_DMA1_IRQHandler (void)
| MFS ch.6/14 TX, DMA ch. 1 IRQ handler.
void | MFS7_15_RX_DMA2_IRQHandler (void)
| MFS ch.7/15 RX, DMA ch. 2 IRQ handler.
void | MFS7_15_TX_DMA3_IRQHandler (void)
| MFS ch.7/15 TX, DMA ch. 3 IRQ handler.

## Detailed Description

PDL Interrupt Handler

A detailed description is available at PDL Interrupt handling description

History:

- 2013-12-24 0.0.1 Edison Zhang First version.

Definition in file interrupts.c.

## Function Documentation

void ADC0_IRQHandler | ( | void |  | ) |

Definition at line 94 of file interrupts.c.

References ADC0, AdcInstanceIndexAdc0, AdcIrqHandler(), m_astcAdcInstanceDataLut, and stc_adcn_t.

Here is the call graph for this function:

void ADC1_IRQHandler | ( | void |  | ) |

Definition at line 101 of file interrupts.c.

References ADC1, AdcInstanceIndexAdc1, AdcIrqHandler(), m_astcAdcInstanceDataLut, and stc_adcn_t.

Here is the call graph for this function:

void ADC2_LCD_IRQHandler | ( | void |  | ) |

Definition at line 108 of file interrupts.c.

References ADC2, AdcInstanceIndexAdc2, AdcIrqHandler(), m_astcAdcInstanceDataLut, and stc_adcn_t.

Here is the call graph for this function:

void BT0_7_FLASH_IRQHandler | ( | void |  | ) |

BT ch. 0 IRQ handler.

Definition at line 136 of file interrupts.c.

References BT0, BT1, BT2, BT3, BT4, BT5, BT6, BT7, Bt_IrqHandler(), BtInstanceIndexBt0, BtInstanceIndexBt1, BtInstanceIndexBt2, BtInstanceIndexBt3, BtInstanceIndexBt4, BtInstanceIndexBt5, BtInstanceIndexBt6, BtInstanceIndexBt7, m_astcBtInstanceDataLut, and stc_btn_t.

Here is the call graph for this function:

void CSV_IRQHandler | ( | void |  | ) |

Definition at line 228 of file interrupts.c.

References Csv_IrqHandler().

Here is the call graph for this function:

void DT_QPRC_Handler | ( | void |  | ) |

Definition at line 239 of file interrupts.c.

References DtChannel0, DtChannel1, DtIrqHandler(), m_astcQprcInstanceDataLut, QPRC0, QPRC1, QPRC2, Qprc_IrqHandler(), QprcInstanceIndexQprc0, QprcInstanceIndexQprc1, QprcInstanceIndexQprc2, and stc_qprcn_t.

Here is the call graph for this function:

void INT0_7_Handler | ( | void |  | ) |

EXINT ch.0 ~ ch.7 IRQ handler.

Definition at line 304 of file interrupts.c.

References Exint_IrqHandler(), ExintInstanceIndexExint0, ExintInstanceIndexExint1, ExintInstanceIndexExint2, ExintInstanceIndexExint3, ExintInstanceIndexExint4, ExintInstanceIndexExint5, ExintInstanceIndexExint6, and ExintInstanceIndexExint7.

Here is the call graph for this function:

void INT8_31_Handler | ( | void |  | ) |

EXINT ch.8 ~ ch.31 IRQ handler.

Definition at line 387 of file interrupts.c.

References Exint_IrqHandler(), ExintInstanceIndexExint10, ExintInstanceIndexExint11, ExintInstanceIndexExint12, ExintInstanceIndexExint13, ExintInstanceIndexExint14, ExintInstanceIndexExint15, ExintInstanceIndexExint16, ExintInstanceIndexExint17, ExintInstanceIndexExint18, ExintInstanceIndexExint19, ExintInstanceIndexExint20, ExintInstanceIndexExint21, ExintInstanceIndexExint22, ExintInstanceIndexExint23, ExintInstanceIndexExint24, ExintInstanceIndexExint25, ExintInstanceIndexExint26, ExintInstanceIndexExint27, ExintInstanceIndexExint28, ExintInstanceIndexExint29, ExintInstanceIndexExint30, ExintInstanceIndexExint31, ExintInstanceIndexExint8, and ExintInstanceIndexExint9.

Here is the call graph for this function:

void LVD_IRQHandler | ( | void |  | ) |

LVD IRQ handler.

Definition at line 282 of file interrupts.c.

References LvdIrqHandler().

Here is the call graph for this function:

void MFS0_8_RX_IRQHandler | ( | void |  | ) |

MFS ch.0/8 RX IRQ handler.

Definition at line 695 of file interrupts.c.

References CSIO0, CSIO8, I2C0, I2C8, LIN0, LIN8, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerRx(), MfsCsioMode, MfsI2cIrqHandlerRx(), MfsI2cMode, MfsInstanceIndexMfs0, MfsInstanceIndexMfs8, MfsLinIrqHandlerRx(), MfsLinMode, MfsUartIrqHandlerRx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART0, and UART8.

Here is the call graph for this function:

void MFS0_8_TX_IRQHandler | ( | void |  | ) |

MFS ch.0/8 TX IRQ handler.

Definition at line 750 of file interrupts.c.

References CSIO0, CSIO8, I2C0, I2C8, LIN0, LIN8, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerStatus(), MfsCsioIrqHandlerTx(), MfsCsioMode, MfsI2cIrqHandlerStatus(), MfsI2cIrqHandlerTx(), MfsI2cMode, MfsInstanceIndexMfs0, MfsInstanceIndexMfs8, MfsLinIrqHandlerStatus(), MfsLinIrqHandlerTx(), MfsLinMode, MfsUartIrqHandlerTx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART0, and UART8.

Here is the call graph for this function:

void MFS1_9_RX_IRQHandler | ( | void |  | ) |

MFS ch.1/9 RX IRQ handler.

Definition at line 847 of file interrupts.c.

References CSIO1, CSIO9, I2C1, I2C9, LIN1, LIN9, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerRx(), MfsCsioMode, MfsI2cIrqHandlerRx(), MfsI2cMode, MfsInstanceIndexMfs1, MfsInstanceIndexMfs9, MfsLinIrqHandlerRx(), MfsLinMode, MfsUartIrqHandlerRx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART1, and UART9.

Here is the call graph for this function:

void MFS1_9_TX_IRQHandler | ( | void |  | ) |

MFS ch.1/9 TX IRQ handler.

Definition at line 902 of file interrupts.c.

References CSIO1, CSIO9, I2C1, I2C9, LIN1, LIN9, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerStatus(), MfsCsioIrqHandlerTx(), MfsCsioMode, MfsI2cIrqHandlerStatus(), MfsI2cIrqHandlerTx(), MfsI2cMode, MfsInstanceIndexMfs1, MfsInstanceIndexMfs9, MfsLinIrqHandlerStatus(), MfsLinIrqHandlerTx(), MfsLinMode, MfsUartIrqHandlerTx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART1, and UART9.

Here is the call graph for this function:

void MFS2_10_RX_IRQHandler | ( | void |  | ) |

MFS ch.2/10 RX IRQ handler.

Definition at line 999 of file interrupts.c.

References CSIO10, CSIO2, I2C10, I2C2, LIN10, LIN2, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerRx(), MfsCsioMode, MfsI2cIrqHandlerRx(), MfsI2cMode, MfsInstanceIndexMfs10, MfsInstanceIndexMfs2, MfsLinIrqHandlerRx(), MfsLinMode, MfsUartIrqHandlerRx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART10, and UART2.

Here is the call graph for this function:

void MFS2_10_TX_IRQHandler | ( | void |  | ) |

MFS ch.2/10 TX IRQ handler.

Definition at line 1054 of file interrupts.c.

References CSIO10, CSIO2, I2C10, I2C2, LIN10, LIN2, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerStatus(), MfsCsioIrqHandlerTx(), MfsCsioMode, MfsI2cIrqHandlerStatus(), MfsI2cIrqHandlerTx(), MfsI2cMode, MfsInstanceIndexMfs10, MfsInstanceIndexMfs2, MfsLinIrqHandlerStatus(), MfsLinIrqHandlerTx(), MfsLinMode, MfsUartIrqHandlerTx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART10, and UART2.

Here is the call graph for this function:

void MFS3_11_RX_IRQHandler | ( | void |  | ) |

MFS ch.3/11 RX IRQ handler.

Definition at line 1151 of file interrupts.c.

References CSIO11, CSIO3, I2C11, I2C3, LIN11, LIN3, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerRx(), MfsCsioMode, MfsI2cIrqHandlerRx(), MfsI2cMode, MfsInstanceIndexMfs11, MfsInstanceIndexMfs3, MfsLinIrqHandlerRx(), MfsLinMode, MfsUartIrqHandlerRx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART11, and UART3.

Here is the call graph for this function:

void MFS3_11_TX_IRQHandler | ( | void |  | ) |

MFS ch.3/11 TX IRQ handler.

Definition at line 1206 of file interrupts.c.

References CSIO11, CSIO3, I2C11, I2C3, LIN11, LIN3, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerStatus(), MfsCsioIrqHandlerTx(), MfsCsioMode, MfsI2cIrqHandlerStatus(), MfsI2cIrqHandlerTx(), MfsI2cMode, MfsInstanceIndexMfs11, MfsInstanceIndexMfs3, MfsLinIrqHandlerStatus(), MfsLinIrqHandlerTx(), MfsLinMode, MfsUartIrqHandlerTx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART11, and UART3.

Here is the call graph for this function:

void MFS4_12_RX_IRQHandler | ( | void |  | ) |

MFS ch.4/12 RX IRQ handler.

Definition at line 1303 of file interrupts.c.

References CSIO12, CSIO4, I2C12, I2C4, LIN12, LIN4, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerRx(), MfsCsioMode, MfsI2cIrqHandlerRx(), MfsI2cMode, MfsInstanceIndexMfs12, MfsInstanceIndexMfs4, MfsLinIrqHandlerRx(), MfsLinMode, MfsUartIrqHandlerRx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART12, and UART4.

Here is the call graph for this function:

void MFS4_12_TX_IRQHandler | ( | void |  | ) |

MFS ch.4/12 TX IRQ handler.

Definition at line 1358 of file interrupts.c.

References CSIO12, CSIO4, I2C12, I2C4, LIN12, LIN4, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerStatus(), MfsCsioIrqHandlerTx(), MfsCsioMode, MfsI2cIrqHandlerStatus(), MfsI2cIrqHandlerTx(), MfsI2cMode, MfsInstanceIndexMfs12, MfsInstanceIndexMfs4, MfsLinIrqHandlerStatus(), MfsLinIrqHandlerTx(), MfsLinMode, MfsUartIrqHandlerTx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART12, and UART4.

Here is the call graph for this function:

void MFS5_13_RX_IRQHandler | ( | void |  | ) |

MFS ch.5/13 RX IRQ handler.

Definition at line 1453 of file interrupts.c.

References CSIO13, CSIO5, I2C13, I2C5, LIN13, LIN5, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerRx(), MfsCsioMode, MfsI2cIrqHandlerRx(), MfsI2cMode, MfsInstanceIndexMfs13, MfsInstanceIndexMfs5, MfsLinIrqHandlerRx(), MfsLinMode, MfsUartIrqHandlerRx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART13, and UART5.

Here is the call graph for this function:

void MFS5_13_TX_IRQHandler | ( | void |  | ) |

MFS ch.5/13 TX IRQ handler.

Definition at line 1508 of file interrupts.c.

References CSIO13, CSIO5, I2C13, I2C5, LIN13, LIN5, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerStatus(), MfsCsioIrqHandlerTx(), MfsCsioMode, MfsI2cIrqHandlerStatus(), MfsI2cIrqHandlerTx(), MfsI2cMode, MfsInstanceIndexMfs13, MfsInstanceIndexMfs5, MfsLinIrqHandlerStatus(), MfsLinIrqHandlerTx(), MfsLinMode, MfsUartIrqHandlerTx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART13, and UART5.

Here is the call graph for this function:

void MFS6_14_RX_DMA0_IRQHandler | ( | void |  | ) |

MFS ch.6/14 RX, DMA ch. 0 IRQ handler.

Definition at line 1604 of file interrupts.c.

References CSIO14, CSIO6, DmaIrqHandler(), I2C14, I2C6, LIN14, LIN6, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerRx(), MfsCsioMode, MfsI2cIrqHandlerRx(), MfsI2cMode, MfsInstanceIndexMfs14, MfsInstanceIndexMfs6, MfsLinIrqHandlerRx(), MfsLinMode, MfsUartIrqHandlerRx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART14, and UART6.

Here is the call graph for this function:

void MFS6_14_TX_DMA1_IRQHandler | ( | void |  | ) |

MFS ch.6/14 TX, DMA ch. 1 IRQ handler.

Definition at line 1665 of file interrupts.c.

References CSIO14, CSIO6, DmaIrqHandler(), I2C14, I2C6, LIN14, LIN6, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerStatus(), MfsCsioIrqHandlerTx(), MfsCsioMode, MfsI2cIrqHandlerStatus(), MfsI2cIrqHandlerTx(), MfsI2cMode, MfsInstanceIndexMfs14, MfsInstanceIndexMfs6, MfsLinIrqHandlerStatus(), MfsLinIrqHandlerTx(), MfsLinMode, MfsUartIrqHandlerTx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART14, and UART6.

Here is the call graph for this function:

void MFS7_15_RX_DMA2_IRQHandler | ( | void |  | ) |

MFS ch.7/15 RX, DMA ch. 2 IRQ handler.

Definition at line 1769 of file interrupts.c.

References CSIO15, CSIO7, DmaIrqHandler(), I2C15, I2C7, LIN15, LIN7, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerRx(), MfsCsioMode, MfsI2cIrqHandlerRx(), MfsI2cMode, MfsInstanceIndexMfs15, MfsInstanceIndexMfs7, MfsLinIrqHandlerRx(), MfsLinMode, MfsUartIrqHandlerRx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART15, and UART7.

Here is the call graph for this function:

void MFS7_15_TX_DMA3_IRQHandler | ( | void |  | ) |

MFS ch.7/15 TX, DMA ch. 3 IRQ handler.

Definition at line 1830 of file interrupts.c.

References CSIO15, CSIO7, DmaIrqHandler(), I2C15, I2C7, LIN15, LIN7, m_astcMfsInstanceDataLut, MfsCsioIrqHandlerStatus(), MfsCsioIrqHandlerTx(), MfsCsioMode, MfsI2cIrqHandlerStatus(), MfsI2cIrqHandlerTx(), MfsI2cMode, MfsInstanceIndexMfs15, MfsInstanceIndexMfs7, MfsLinIrqHandlerStatus(), MfsLinIrqHandlerTx(), MfsLinMode, MfsUartIrqHandlerTx(), MfsUartMode, stc_mfsn_csio_t, stc_mfsn_i2c_t, stc_mfsn_lin_t, stc_mfsn_uart_t, UART15, and UART7.

Here is the call graph for this function:

void MFT_FRT_IRQHandler | ( | void |  | ) |

MFT0's FRT peak match IRQ handler.

Definition at line 547 of file interrupts.c.

References FrtInstanceIndexFrt0, FrtInstanceIndexFrt1, FrtInstanceIndexFrt2, m_astcMftFrtInstanceDataLut, MFT0_FRT, MFT1_FRT, MFT2_FRT, Mft_Frt_IrqHandler(), and stc_mftn_frt_t.

Here is the call graph for this function:

void MFT_IPC_IRQHandler | ( | void |  | ) |

MFT0's ICU IRQ handler.

Definition at line 645 of file interrupts.c.

References IcuInstanceIndexIcu0, IcuInstanceIndexIcu1, IcuInstanceIndexIcu2, m_astcMftIcuInstanceDataLut, MFT0_ICU, MFT1_ICU, MFT2_ICU, Mft_Icu_IrqHandler(), and stc_mftn_icu_t.

Here is the call graph for this function:

void MFT_OPC_IRQHandler | ( | void |  | ) |

MFT0's OCU IRQ handler.

Definition at line 579 of file interrupts.c.

References m_astcMftOcuInstanceDataLut, MFT0_OCU, MFT1_OCU, MFT2_OCU, Mft_Ocu_IrqHandler(), OcuInstanceIndexOcu0, OcuInstanceIndexOcu1, OcuInstanceIndexOcu2, and stc_mftn_ocu_t.

Here is the call graph for this function:

void MFT_WFG_IRQHandler | ( | void |  | ) |

MFT0's WFG IRQ handler.

Definition at line 612 of file interrupts.c.

References m_astcMftWfgInstanceDataLut, MFT0_WFG, MFT1_WFG, MFT2_WFG, Mft_Wfg_IrqHandler(), stc_mftn_wfg_t, WfgInstanceIndexWfg0, WfgInstanceIndexWfg1, and WfgInstanceIndexWfg2.

Here is the call graph for this function:

void NMI_Handler | ( | void |  | ) |

Definition at line 63 of file interrupts.c.

References HwwdgIrqHandler(), and Nmi_IrqHandler().

Here is the call graph for this function:

void PPG_IRQHandler | ( | void |  | ) |

PPG ch.0,2,4,8,10,12,16,18,20 IRQ handler.

Definition at line 679 of file interrupts.c.

References Ppg_IrqHandler().

Here is the call graph for this function:

void SWDT_IRQHandler | ( | void |  | ) |

Definition at line 84 of file interrupts.c.

References SwwdgIrqHandler().

Here is the call graph for this function:

void TIM_IRQHandler | ( | void |  | ) |

Definition at line 199 of file interrupts.c.

References Clk_IrqHandler(), Rtc_IrqHandler(), and Wc_IrqHandler().

Here is the call graph for this function: